Skip to main content
POST
/
crawl
/
{id}
/
crawl
Start a new crawl
curl --request POST \
  --url https://api.open.cx/crawl/{id}/crawl \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/crawl/{id}/crawl"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/crawl/{id}/crawl', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "datasource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "total_pages": 123,
  "completed_pages": 123,
  "new_pages": 123,
  "updated_pages": 123,
  "removed_pages": 123,
  "unchanged_pages": 123,
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The website datasource ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
datasource_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
string
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
total_pages
number | null
required
completed_pages
number
required
new_pages
number
required
updated_pages
number
required
removed_pages
number
required
unchanged_pages
number
required
error_message
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required